# this specfile is based on the mozilla-firefox-l10n specfile
%define name	celtx-dictionary
%define version	1.0
%define release	%mkrel 1
%define Summary	Celtx dictionary

# Dictionary wiki url
%define dictdir	http://wiki.celtx.com/dictionaries/
%define celtxlibdir	%{_libdir}/celtx-%{version}
# Supported l10n dictionary lists
%define l10nlist	af_ZA bg ca cs cy_GB da de_AT de_CH de_DE el en_NZ es_ES es_MX fo fr_FR ga gl he_IL hr hu ia it la lt lv_LV mi ms nb nl nn pl pt_BR pt ro ru sk sl sv uk zu_ZA

# Language descriptions
%define language_af_ZA	af-ZA
%define langname_af_ZA	Afrikaans
%define language_bg	bg
%define langname_bg	Bulgarian
%define language_ca	ca
%define langname_ca	Catalan
%define language_cs	cs
%define langname_cs	Czech
%define language_cy_GB	cy-GB
%define langname_cy_GB	Welsh
%define language_da	da
%define langname_da	Dansk
%define language_de_AT	de-AT
%define langname_de_AT	German (Austria)
%define language_de_CH	de-CH
%define langname_de_CH	German (Switzerland)
%define language_de_DE	de-DE
%define langname_de_DE	German
%define language_el	el
%define langname_el	Greek
%define language_en_NZ	en-NZ
%define langname_en_NZ	British New Zealand
%define language_es_ES	es-ES
%define langname_es_ES	Spanish
%define language_es_MX	es-MX
%define langname_es_MX	Spanish (Mexican)
%define language_fo	fo
%define langname_fo	Faroese
%define language_fr_FR	fr-FR
%define langname_fr_FR	French
%define language_ga	ga
%define langname_ga	Irish
%define language_gl	gl
%define langname_gl	Galician
%define language_he_IL	he-IL
%define langname_he_IL	Hebrew
%define language_hr	hr
%define langname_hr	Croatian
%define language_hu	hu
%define langname_hu	Hungarian
%define language_ia	ia
%define langname_ia	Interlingua
%define language_it	it
%define langname_it	Italian
%define language_la	la
%define langname_la	Latin
%define language_lt	lt
%define langname_lt	Lithuanian
%define language_lv_LV	lv-LV
%define langname_lv_LV	Latvian
%define language_mi	mi
%define langname_mi	Maori
%define language_ms	ms
%define langname_ms	Malay
%define language_nb	nb
%define langname_nb	Norwegian Bokmaal
%define language_nl	nl
%define langname_nl	Dutch
%define language_nn	nn
%define langname_nn	Norwegian Nynorsk
%define language_pl	pl
%define langname_pl	Polish
%define language_pt_BR	pt-BR
%define langname_pt_BR	Brazilian portuguese
%define language_pt	pt
%define langname_pt	Portuguese
%define language_ro	ro
%define langname_ro	Romanian
%define language_ru	ru
%define langname_ru	Russian
%define language_sk	sk
%define langname_sk	Slovak
%define language_sl	sl
%define langname_sl	Slovenian
%define language_sv	sv
%define langname_sv	Swedish
%define language_uk	uk
%define langname_uk	Ukrainian
%define language_zu_ZA	zu-ZA
%define langname_zu_ZA	IsiZulu

# Macro for easy adding i18n sources
# auto-increment as called.
%define src 1

%define l10nsrc() Source%src: %{dictdir}/%{1}.zip\
%define src2 %(echo $((%src+1)))\
%define src %{src2}


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	MPL-like
Group:		Office 
URL:		http://www.celtx.com
# Language package template
Source0:	%{name}-spec.tmpl

# l10n sources
%{expand:%(\
	for lang in %l10nlist; do\
		echo "%%{expand:%%l10nsrc %%{language_$lang}}";\
	done\
	)
}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Dictionary for the Celtx preproduction media application

# Expand all languages packages.
%{expand:%(\
	for lang in %l10nlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-spec.tmpl 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -q -c -T

# Convert rpm macros to bash variables
%{expand:%(for lang in %l10nlist; do echo "language_$lang=%%{language_$lang}"; done)}

# Unpack all languages
for lang in %l10nlist; do

	language="language_$lang"
	language=${!language}
	mkdir -p ${language}-dict/dictionaries
	cd ${language}-dict/dictionaries
	unzip %{_sourcedir}/${language}.zip
	cd ../..
done

%install
rm -rf %buildroot

# Convert rpm macros to bash variables
%{expand:%(for lang in %l10nlist; do echo "language_$lang=%%{language_$lang}"; done)}

# Create dicts dir
mkdir -p %buildroot%{celtxlibdir}/dictionaries

# Install all languages
for lang in %l10nlist; do
        language="language_$lang"
        language=${!language}
	cp -af ${language}-dict/dictionaries/*.{aff,dic} %buildroot%{celtxlibdir}/dictionaries/
done

%clean
rm -rf %buildroot


%changelog
* Tue Jun 24 2008 Franck Villaume <fvill@mandriva.com> 1.0-1mdv2009.0
+ Revision: 228777
- new version 1.0

* Sat May 24 2008 Anssi Hannula <anssi@mandriva.org> 0.9.9.7-1mdv2009.0
+ Revision: 211047
- rename celtx-dictionary-template.spec to celtx-dictionary-spec.tmpl to
  prevent problems with buildsystem rpmlint check picking it up instead
  of .spec

  + Franck Villaume <fvill@mandriva.com>
    - import celtx-dictionary


